<?php

/**
 * @file multilingual_book_demo.profile
 */

/**
 * Implements hook_form_FORM_ID_alter().
 */
function multilingual_book_demo_form_install_configure_form_alter(&$form, $form_state) {

  // Do not let the profile setup time out.
  drupal_set_time_limit(0);

  // Pre-populate site name and super-admin username.
  $form['site_information']['site_name']['#default_value'] = st('Awesome Drupal Books');
  $form['site_information']['site_mail']['#default_value'] = 'admin@kristen.org';
  $form['admin_account']['account']['name']['#default_value'] = 'admin';
  $form['admin_account']['account']['mail']['#default_value'] = 'admin@kristen.org';

  // Add special submit function for cleanup tasks.
  //$form['#submit'][] = 'multilingual_book_demo_form_install_configure_form_submit';
}

/**
 * Implements hook_install_tasks().
 */
function multilingual_book_demo_install_tasks() {
  $tasks = array();

  // Code to set up all the example data.
  $tasks['multilingual_book_demo_batch'] = array(
    'display_name' => st('Install demo data'),
    'display' => TRUE,
    'type' => 'batch',
    'run' => INSTALL_TASK_RUN_IF_NOT_COMPLETED,
  );

  return $tasks;
}

/**
 * Submit function to do some cleanup tasks after the configure form is done.
 */
//function multilingual_book_demo_form_install_configure_form_submit(&$form, $form_state) {

/**
 * 
 */
function multilingual_book_demo_batch(&$install_state) {

  // Do not let the module setup time out.
  drupal_set_time_limit(0);

  /*
  drupal_set_message("multilingual_book_demo_form_install_configure_form_submit 1");

  // Enable demo features module with content types, views, etc.
  module_enable(array('multd7_demo'), FALSE);
  drupal_set_message("multilingual_book_demo_form_install_configure_form_submit 2");

  // Enable cleanup module to do things that features couldn't do (e.g. fix
  // menus, add new users, etc.).
  module_enable(array('multd7_demo_cleanup'), FALSE);
  drupal_set_message("multilingual_book_demo_form_install_configure_form_submit 3");
  */

  return array(
      'title' => st('Install demo data'),
      'operations' => array(
        array('multilingual_book_demo_example_data', array()),
        ),
      );
}

/**
 * Enable the modules that will create example data.
 */
function multilingual_book_demo_example_data(&$context) {

  // Set up batch context.
  if (empty($context['sandbox'])) {
    $context['sandbox']['progress'] = 0;
    $context['sandbox']['current_step'] = 0;
    $context['sandbox']['max'] = 3;
  }

  switch ($context['sandbox']['current_step']) {
    case 0:
      {
        // Do not let the module setup time out.
        drupal_set_time_limit(0);

        $context['sandbox']['progress']++;
        $context['sandbox']['current_step']++;
        $context['message'] = 
          st('Please be patient. Example data will take awhile to install 
              (15 to 30 minutes). Have a break :)');
        break;
      }
    case 1:
      {
        // Do not let the module setup time out.
        drupal_set_time_limit(0);

        // Enable demo features module with content types, views, etc.
        module_enable(array('multd7_demo'), FALSE);

        $context['sandbox']['progress']++;
        $context['sandbox']['current_step']++;
        $context['message'] = 
          st('Please be patient. Example data will take awhile to install 
              (15 to 30 minutes). Have a break :)');
        break;
      }
    case 2:
      {
        // Do not let the module setup time out.
        drupal_set_time_limit(0);

        // Enable cleanup module to do things that features couldn't do (e.g. fix
        // menus, add new users, etc.).
        module_enable(array('multd7_demo_cleanup'), FALSE);

        $context['sandbox']['progress']++;
        $context['sandbox']['current_step']++;
        $context['message'] = 
          st('Please be patient. Example data will take awhile to install 
              (15 to 30 minutes). Have a break :)');
        break;
      }
  }

  if ($context['sandbox']['progress'] != $context['sandbox']['max']) {
    $context['finished'] = 
      $context['sandbox']['progress'] / 
      $context['sandbox']['max'];
  }
}

